#
# spec file for package yaps (Version 0.96)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# norootforbuild

Name:         yaps
License:      GPL
Group:        Hardware/Mobile
URL:          ftp://sunsite.unc.edu/pub/Linux/apps/serialcomm/machines/
PreReq:       permissions
Autoreqprov:  on
Summary:      Yet Another Pager Software
Version:      0.96
Release:      785.9
Source:       %{name}-%{version}.tar.bz2
Patch:        %{name}-%{version}.dif
Patch1:       %{name}-%{version}-preselections.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
This software is primarily designed to send messages to pager devices,
including cellular phones which are able to receive textual messages
(sometimes called SMS, short message system/service.)



Authors:
--------
    Ulrich Dessauer <ud@cube.net>

%prep
%setup
%patch
%patch1

%build
make depend
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/usr/bin/
make "DESTDIR=$RPM_BUILD_ROOT" install
install -d -m 755 $RPM_BUILD_ROOT/etc/
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man1/
install -m 644 yaps.rc $RPM_BUILD_ROOT/etc/yaps.rc
install -m 644 yaps.1 $RPM_BUILD_ROOT%{_mandir}/man1/yaps.1

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_permissions

%verifyscript
%verify_permissions -e /usr/bin/yaps

%files
%defattr(-,root,root)
%verify(not mode) %attr(0755,root,uucp) /usr/bin/yaps
%attr(0755,bin,uucp) /usr/lib/yaps
%config /etc/yaps.rc
%doc BUGREPORT COPYING.GPL COPYRIGHT INSTALL README contrib yaps.doc yaps.html yaps.lsm
%doc %{_mandir}/man1/yaps.1.gz

%changelog
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 schwab@suse.de
- Don't strip binaries.
* Sat Sep 17 2005 meissner@suse.de
- fixed implicits.
* Thu May 12 2005 meissner@suse.de
- use RPM_OPT_FLAGS
* Fri Nov 12 2004 ro@suse.de
- updated permissions handling
* Tue Feb 17 2004 postadal@suse.cz
- added norootforbuild flag to the spec file (set attr owner/group)
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Thu Mar 14 2002 postadal@suse.cz
- added some preselections (#13721), cleared specfile
* Thu Aug  9 2001 dan@suse.cz
- use bzip instead of gzip
* Mon May 29 2000 cihlar@suse.cz
- added BuildRoot
* Wed Mar  1 2000 choeger@suse.de
- added mandir
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Aug 10 1998 choeger@suse.de
- new package v0.96
